<template>
  <v-container
    fluid
    tag="section"
  >
    <material-card
      icon="mdi-format-list-bulleted-square"
      icon-small
      :title="$t('compras')"
      color="secondary"
    >
      <v-row>
        <v-col cols="12" md="12" sm="12">
          <ComprasTabla
            ref="comprasTabla"
            @onNuevaCompra="nuevaCompra"
            class="pt-6 pl-8 pr-8 pb-8"
          />
        </v-col>
      </v-row>
    </material-card>
  </v-container>
</template>

<script>
import ComprasTabla from '@/components/Compras/ComprasTabla'
export default {
  components: {
    ComprasTabla
  },
  methods: {
    nuevaCompra() {
      this.$router.push({name: 'nuevaCompra'})
    }
  }
}
</script>

<style>

</style>
